Skip to main content
GET
Get Task

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

task_id
string
required

The ID of the task.

Query Parameters

expand
string[] | null

Fields to expand: actions, assignees, comments.

Response

Successful Response

id
string
required

The ID of this task.

task_type
string
required

The type of this task.

task_category
enum<string>
required

The category of this task.

Available options:
MANAGER_APPROVAL,
APPROVAL,
PROVISIONING,
DEPROVISIONING,
ERROR,
GENERIC
status
enum<string>
required

The current status of this task.

Available options:
PENDING,
ACCEPTED,
COMPLETED,
DISMISSED,
BLOCKED,
STAGED,
RETRIED,
EXPIRED
created_at
string<date-time>
required

When this task was created.

updated_at
string<date-time>
required

When this task was last updated.

description
string | null

A description of this task.

instructions
string | null

Instructions for completing this task.

product_area
enum<string> | null

The product area this task is related to.

Available options:
ACCESS_REVIEWS,
APPSTORE,
MOVER,
ATTRIBUTE_SYNC,
OFFBOARDING,
ONBOARDING,
PLATFORM,
SAVINGS
app
BaseApp · object | null

The app this task is related to.

target_user
User · object | null

The user this task is about.

resolved_by
User · object | null

The user who resolved this task.

assignees
TaskAssignee · object[] | null

The assignees of this task. Requires expand=assignees.

actions
TaskAction · object[] | null

Available actions for this task. Requires expand=actions.

comments
TaskComment · object[] | null

Comments on this task. Requires expand=comments.

access_request_id
string | null

The access request this task is associated with, if applicable.

requestable_permission_id
string | null

The requestable permission this task is associated with, if applicable.